## jtreg7 7.1.1+1~us1

=== debian/changelog ===
jtreg7 (7.1.1+1~us1-0ubuntu2) lunar; urgency=medium

  * d/rules: use awk for version parsing in order to improve readability.
  * d/control: use testng 7 as a dependency (LP: #2012320).
  * d/jtreg7.links: fix junit5 link (LP: #2015810).
  * d/jtreg7.links: add link to guice.jar (LP: #2015811).
  * d/p: removed autogenerated patch footer.
  * d/t/self-test: added comment.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 23 Mar 2023 13:57:25 +1300

jtreg7 (7.1.1+1~us1-0ubuntu1) lunar; urgency=medium

  * Package JTREG 7.1.1 (LP: #2008819)

 -- Vladimir Petko <vladimir.petko@canonical.com>  Mon, 23 Jan 2023 14:30:02 +1300
