## jtreg7 7.3.1%2B1

=== debian/changelog ===
jtreg7 (7.3.1+1-1) unstable; urgency=medium

  * New upstream release 7.3.1 build 1.

 -- Matthias Klose <doko@debian.org>  Fri, 25 Aug 2023 09:24:14 +0200

jtreg7 (7.3+1-1) unstable; urgency=medium

  * New upstream release 7.3 build 1 (LP: #2031450).
  * Drop d/p/add-jcommander-to-classpath.patch - jtreg now adds all testng
    jars to the classpath.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 24 Aug 2023 18:24:13 +0200

jtreg7 (7.2+1-4) unstable; urgency=medium

  [ Chris Lamb ]
  * d/p/reproducible-build.patch: Make jtreg7 build reproducible. Use
    SOURCE_DATE_EPOCH instead of the current build date. Make jtreg.jar
    writable so that it is not ignored by strip-nondeterminism.
    Closes: #1038957.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Mon, 26 Jun 2023 08:54:10 +1200

jtreg7 (7.2+1-3) unstable; urgency=medium

  [ Vladimir Petko ]
  * Fix creating working directory in the autopkg test.

 -- Matthias Klose <doko@debian.org>  Mon, 19 Jun 2023 09:06:07 +0200

jtreg7 (7.2+1-2) unstable; urgency=medium

  * Source-only upload.

 -- Matthias Klose <doko@debian.org>  Thu, 15 Jun 2023 20:23:48 +0200

jtreg7 (7.2+1-1) unstable; urgency=medium

  * New upstream release. Closes: #1032981.
  * d/p/add-container-count.patch: drop patch, upstream JUnit is updated.
  * d/copyright: exclude make/checkstyle.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Tue, 23 May 2023 14:28:12 +1200
