## jtreg7 7.3.1+1~us2

=== debian/changelog ===
jtreg7 (7.3.1+1~us2-0ubuntu1~20.04.1) focal-security; urgency=medium

  * Vendor jtreg7 dependencies: apiguardian, hawt-jni, jansi1, jline3,
    junit4, junit5, libhamcrest-java, opentest4j, opentest4j-reporting,
    picocli, testng7, univocity-parsers to allow backports (LP: #2039219).
    - d/watch: build MUT original tarball.
    - d/component-scripts: add scripts to build the bundled components.
    - d/copyright: include bundled components copyrights.
  * d/control: downgrade debhelper compatibility level to 11 for
    backports.
  * d/rules: fix man page generation by using the version option.
  * Repack original tarball to drop excluded files.
  * d/t/self-test: use vendored dependencies.
  * Upload to Ubuntu 20.04.1.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Wed, 14 Feb 2024 18:18:21 +1300
