## jtreg7 7.3.1+1

=== debian/changelog ===
jtreg7 (7.3.1+1-1~deb12u1) bookworm-security; urgency=medium

  * Rebuild for bookworm, needed for latest OpenJDK 17.x release

 -- Moritz Mühlenhoff <jmm@debian.org>  Fri, 26 Jan 2024 15:42:34 +0100
