=== debian/control ===
Source: jtreg7
Section: java
Priority: optional
Maintainer: Vladimir Petko <vladimir.petko@canonical.com>
Uploaders: Matthias Klose <doko@debian.org>
Build-Depends:
 ant,
 debhelper-compat (=13),
 default-jdk,
 help2man,
 javahelp2,
 javahelper,
 libjtharness-java (>= 6.0),
 libxalan2-java,
 libhamcrest-java,
 libtestng7-java,
 libasmtools-java,
 libjcommander-java,
 libslf4j-java,
 junit5,
 libguice-java,
 zip
Standards-Version: 4.6.2
Homepage: https://openjdk.java.net/jtreg
Rules-Requires-Root: no

Package: jtreg7
Architecture: all
Depends:
 ${java:Depends},
 ${misc:Depends},
 javahelp2,
 libjtharness-java (>= 6.0),
 libxalan2-java,
 libhamcrest-java,
 libasmtools-java,
 libjcommander-java,
 libslf4j-java,
 junit5,
 libguice-java,
 libtestng7-java
Conflicts: jtreg, jtreg6
Description: Regression Test Harness for the OpenJDK platform
 jtreg is the test harness used by the OpenJDK test framework.
 This framework is intended primarily for regression tests.
 It can also be used for unit tests, functional tests, and even simple product
 tests -- in other words, just about any type of test except a conformance test,
 which belong in a TCK.
