=== debian/watch ===
version=4
opts=\
compression=gzip,\
repack,\
repacksuffix=~us1,\
dversionmangle=s/\~us\d*$// \
https://github.com/openjdk/jtreg/tags .*/jtreg-([\d\.]+(?:\+[0-9]+)?).tar.gz
