## jtreg7 7.3.1+1+ds1

=== debian/changelog ===
jtreg7 (7.3.1+1+ds1-2ubuntu1) oracular; urgency=medium

  * d/p/opentest4j-reporting-01-gradle-compatibility.patch: set
    source/targetCompatibility 8 to support openjdk 11 jtreg tests
    (LP: #2067520).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 30 May 2024 08:35:04 +1200

jtreg7 (7.3.1+1+ds1-2) unstable; urgency=medium

  [ Pushkar Kulkarni ]
  * d/t/self-test: Update jar paths for autopkgtests
    (Closes: #1070740).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 09 May 2024 08:52:53 +1200

jtreg7 (7.3.1+1+ds1-1) unstable; urgency=medium

  * Team upload

  [ Vladimir Petko ]
  * Vendor jtreg7 dependencies: apiguardian, hawt-jni, jansi1, jline3,
    junit4, junit5, libhamcrest-java, opentest4j, opentest4j-reporting,
    picocli, testng7, univocity-parsers to allow backports
    (Closes: #1068629).
    - d/watch: build MUT original tarball.
    - d/component-scripts: add scripts to build the bundled components.
    - d/copyright: include bundled components copyrights.
  * d/control: downgrade debhelper compatibility level to 11 for
    backports.
  * d/rules: fix man page generation by using the version option.
  * Repack original tarball to drop excluded files.

 -- tony mancill <tmancill@debian.org>  Mon, 06 May 2024 19:55:00 -0700

jtreg7 (7.3.1+1-2) unstable; urgency=medium

  * Team upload.

  [ Vladimir Petko ]
  * d/p/java21-*: add Java 21 compatibility patches: fix this-escape
    warning, disable tests failing due to SecurityManager changes
    (Closes: #1057512).

  [ Emmanuel Bourg ]
  * Added the Vcs-* fields

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 09 Apr 2024 14:39:35 +0200
