## jtreg7 7.4+1~us1

=== debian/changelog ===
jtreg7 (7.4+1~us1-0ubuntu1) oracular; urgency=medium

  * New upstream release 7.4+1.
  * d/p/codetools-7903760.patch: apply upstream patch to revert
    jtdiff removal.
  * d/p/reproducible-build.patch: refresh patch.
  * d/p/java21-this-escape.patch: drop patch applied upstream.
  * d/rules: create build/test directory.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Mon, 01 Jul 2024 11:08:05 +1200
