## jtreg7 7.4+1+ds1

=== make/Makefile ===
--- 
+++ 
@@ -34,7 +34,6 @@
 
 #----------------------------------------------------------------------
 
-include jtdiff.gmk
 include jtreg.gmk
 include $(TOPDIR)/test/*.gmk
 include $(TOPDIR)/test/*/*.gmk
