=== debian/changelog ===
jtreg7 (7.4+1+ds1-1~24.04) noble-security; urgency=medium

  * Upload to Ubuntu 24.04.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Tue, 23 Jul 2024 18:14:56 +1200

jtreg7 (7.4+1+ds1-1) unstable; urgency=medium

  * New upstream release 7.4 build 1.
  * d/p/opentest4j-reporting-01-gradle-compatibility.patch: set
    source/target compatibility 8 to support openjdk-11 jtreg tests
    (Closes: #1071976).
  * d/p/watch: update watch for the new upstream release.
  * d/p/codetools-7903760.patch: apply upstream patch to revert
    jtdiff removal.
  * d/p/reproducible-build.patch: refresh patch.
  * d/p/java21-this-escape.patch: drop patch applied upstream.
  * d/rules: create build/test/ directory.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Wed, 03 Jul 2024 14:34:39 +1200
