=== debian/watch ===
--- 
+++ 
@@ -12,7 +12,7 @@
   https://github.com/junit-team/junit4/tags .*/r?(4.13.2)\.tar\.gz 4.13.2
 
 opts="compression=gzip,component=junit5,repack" \
-https://github.com/junit-team/junit5/tags .*/r(5.9.2)\.tar\.gz 5.9.2
+https://github.com/junit-team/junit5/tags .*/r(5.10.2)\.tar\.gz 5.10.2
 
 opts="compression=gzip,component=libhamcrest-java,repack" \
 https://github.com/hamcrest/JavaHamcrest/tags .*/(?:hamcrest-java-|v)(2.2)\.tar\.gz 2.2
@@ -24,7 +24,7 @@
 https://github.com/remkop/picocli/tags (?:.*?/)?v?(4.6.2)\.tar\.gz 4.6.2
 
 opts="compression=gzip,component=testng,repack" \
-https://github.com/cbeust/testng/tags .*/(7.5.1)\.tar\.gz 7.5.1
+https://github.com/cbeust/testng/tags?after=7.8.0-rc2 .*/(7.5.1)\.tar\.gz 7.5.1
 
 opts="compression=gzip,component=univocity-parsers,repack" \
 https://github.com/univocity/univocity-parsers/tags .*/(?:.*?)(2.9.1)\.tar\.gz 2.9.1
