=== debian/changelog ===
jtreg7 (7.5.1+1+ds1-1) unstable; urgency=medium

  * New upstream release 7.5.1 build 1.
    - d/watch: update junit5 to 5.11.4.
    - d/watch: update opentest4j-reporting to 1.0.1-M2.
  * d/p/{codetools-7903760, java21-codetools-7903645}.patch: drop
    patches applied upstream.
  * d/junit5: add generated JRE.java source.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 06 Feb 2025 10:11:14 +1300
