=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: jtreg7
 Section: java
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Vladimir Petko <vladimir.petko@canonical.com>
+Maintainer: Vladimir Petko <vladimir.petko@canonical.com>
 Uploaders: Matthias Klose <doko@debian.org>
 Build-Depends:
  ant,
