=== debian/watch ===
--- 
+++ 
@@ -12,13 +12,13 @@
   https://github.com/junit-team/junit4/tags .*/r?(4.13.2)\.tar\.gz 4.13.2
 
 opts="compression=gzip,component=junit5,repack" \
-https://github.com/junit-team/junit5/tags .*/r(5.10.2)\.tar\.gz 5.10.2
+https://github.com/junit-team/junit5/tags .*/r(5.11.4)\.tar\.gz 5.11.4
 
 opts="compression=gzip,component=libhamcrest-java,repack" \
 https://github.com/hamcrest/JavaHamcrest/tags .*/(?:hamcrest-java-|v)(2.2)\.tar\.gz 2.2
 
 opts="compression=gzip,component=opentest4j-reporting,repack" \
-https://github.com/ota4j-team/open-test-reporting/tags .*/r(0.1.0-M1)\.tar\.gz 0.1.0-M1
+https://github.com/ota4j-team/open-test-reporting/tags .*/r(0.1.0-M2)\.tar\.gz 0.1.0-M2
 
 opts="compression=gzip,component=picocli,repack" \
 https://github.com/remkop/picocli/tags (?:.*?/)?v?(4.6.2)\.tar\.gz 4.6.2
