## jtreg7 7.5.2%2B1%2Bds1

=== debian/control ===
--- 
+++ 
@@ -42,7 +42,7 @@
  libmaven-plugin-tools-java,
  libplexus-component-metadata-java,
  libxbean-java,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/java-team/jtreg7.git
 Vcs-Browser: https://salsa.debian.org/java-team/jtreg7
 Homepage: https://openjdk.java.net/jtreg
