=== debian/changelog ===
jtreg7 (7.5.2+1+ds1-2~22.04.2) jammy; urgency=medium

  * Upload to Ubuntu 22.04 (LP: #2120601).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 18 Sep 2025 18:22:27 +1200

jtreg7 (7.5.2+1+ds1-2) unstable; urgency=medium

  * d/copyright: revert FSF address change.
  * d/s/lintian-overrides, d/jtreg7.lintian-overrides: add override for
    the old FSF address.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 21 Aug 2025 08:17:51 +1200

jtreg7 (7.5.2+1+ds1-1) unstable; urgency=medium

  [ Vladimir Petko ]
  * New upstream release 7.5.2+1.
    - d/watch: set major jtreg version to 7, update junit5 download
      url.
    - refresh patches.
    - d/picocli/maven.rules: replace groovy version with 'debian'.
    - d/p/preview-test.patch: enable --enable-preview tests for
      Java > 11.
  * d/control: update Standards Version to 4.7.2 (no changes).
  * Add lintian overrides.
  * d/copyright: update FSF address.

  [ tony mancill ]
  * Add flush-alarm.patch

 -- Vladimir Petko <vladimir.petko@canonical.com>  Mon, 04 Aug 2025 10:39:03 +1200

jtreg7 (7.5.1+1+ds1-3) unstable; urgency=medium

  * d/t/self-test: pass JAVA_SPECIFICATION_VERSION to make to fix
    autopkgtest regression (Closes: #1102171).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Tue, 08 Apr 2025 08:14:26 +1200

jtreg7 (7.5.1+1+ds1-2) unstable; urgency=medium

  * Fix ftbfs in backports (Closes: #1102171):
    - d/p/jline3-01-ignore-warnings.patch: ignore builtins warnings.
    - d/rules: use upstream expression from make/build.sh to set
      JAVA_SPECIFICATION_VERSION. Add JAVA_SPECIFICATION_VERSION
      make parameter.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Sun, 06 Apr 2025 12:28:18 +1200
