## jtreg7 7.5.2+1+ds2

=== make/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (c) 1999, 2024, Oracle and/or its affiliates. All rights reserved.
+# Copyright (c) 1999, 2025, Oracle and/or its affiliates. All rights reserved.
 # DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 #
 # This code is free software; you can redistribute it and/or modify it
@@ -129,7 +129,7 @@
 #----------------------------------------------------------------------
 
 $(BUILDTESTDIR):
-	$(MKDIR) -p $@
+	$(MKDIR) $@
 
 #----------------------------------------------------------------------
