=== debian/changelog ===
jtreg7 (7.5.2+1+ds2-1) unstable; urgency=medium

  * d/{control, copyright,p/testng-build-with-gradle.patch}: drop
    snakeyaml dependency (Closes: #1117950).
  * Add patches to resolve test ftbfs (Closes: #1115694):
    - d/p/codetools-7904101.patch: capture all stdout/stderr output
      from the agent vm to the log file.
    - d/p/codetools-7904104-proposed.patch: do not interrupt main
      thread if the agent process is killed.
    - d/p/codetools-7904105-proposed.patch: synchronize test result
      updates.
    - d/p/codetools-7904106-proposed.patch: use different work
      directories for TestNativePath.
    - d/p/codetools-7904107-proposed.patch: add a separate target to
      filter log files.
  * d/flush_stream.patch: drop patch, it is replaced by
    d/p/codetools-7904101.patch.
  * d/watch: update repack version.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 23 Oct 2025 08:54:01 +1300
