=== debian/control ===
--- 
+++ 
@@ -34,7 +34,6 @@
  libmaven-shade-plugin-java,
  libassertj-core-java,
  libjtharness-java (>= 6.0),
- libyaml-snake-java,
  libfindbugs-java,
  libbsh-java,
  libasm-java,
