=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,12 @@
 ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
   NJOBS = $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
 endif
+
+JAVA_VERSION=$(shell java -version 2>&1)
+JAVA_SPECIFICATION_VERSION=$(shell echo "${JAVA_VERSION}" | \
+	grep -e ^java -e ^openjdk | \
+	head -n 1 | \
+	sed -e 's/^[^0-9]*\(1\.\)*\([1-9][0-9]*\).*/\2/' )
 
 components:=apiguardian hawt-jni jansi1 jline3 picocli univocity-parsers libhamcrest-java junit4 opentest4j opentest4j-reporting junit5 testng
 
@@ -46,6 +52,7 @@
 		BUILD_VERSION_STRING="$(VERSION)-src+$(BUILD_NUMBER)" \
 		BUILD_MILESTONE=src \
 		JDKHOME=$(JAVA_HOME) \
+		JAVA_SPECIFICATION_VERSION=$(JAVA_SPECIFICATION_VERSION) \
 		BUILD_NUMBER=$(BUILD_NUMBER) -j$(NJOBS) all)
 
 	# Generate the manpages
