=== debian/tests/control ===
Tests: self-test
Depends: @, default-jdk, libtestng7-java
Restrictions: allow-stderr
